PGREP(1)

NOM
pgrep, pkill, pwait - look up, signal, or wait for processes based on name and other attributes

SYNOPSIS
pgrep [options] motif
pkill [options] motif
pwait [options] motif

DESCRIPTION
pgrep parcourt les processus en cours d'exécution et affiche sur la sortie standard les identifiants des processus qui correspondent aux critères de sélection donnés. Tous les critères doivent correspondre. Par exemple :

    $ pgrep -u root sshd

n'affichera que les processus appelés sshd ET qui appartiennent à root. En revanche,

    $ pgrep -u root,daemon

affichera les processus appartenant à root OU à daemon.

pkill enverra le signal indiqué (SIGTERM par défaut) à chaque processus au lieu de les afficher sur la sortie standard.

pwait will wait for each process instead of listing them on stdout.

OPTIONS

-signal
--signal signal
    Indiquer le signal à envoyer à chaque processus sélectionné. Le signal peut être indiqué par son numéro ou par son nom symbolique (seulement pour pkill).

-c, --count
    Suppress normal output; instead print a count of matching processes. When count does not match anything, e.g. returns zero, the command will return non-zero value. Note that for pkill and pwait, the count is the number of matching processes, not the processes that were successfully signaled or waited for.

-d, --delimiter délimiteur
    Déterminer la chaîne utilisée pour délimiter les PID en sortie (un saut de ligne par défaut) (seulement pour pgrep).

-e, --echo
    Display name and PID of the process being killed. (pkill only.)

-f, --full
    Le motif n'est normalement comparé qu'au nom du processus. Avec -f, la ligne de commande complète est utilisée.

-g, --pgroup pgrp,...
    Ne rechercher que des processus dans les groupes de processus donnés. Le groupe de processus 0 se traduit par le propre groupe de processus de pgrep, pkill ou pwait.

-G, --group gid,...
    Ne rechercher que des processus dont l'identifiant de groupe réel est donné. Les valeurs utilisées peuvent être numériques ou symboliques.

-i, --ignore-case
    Recherche des processus insensible à la casse.

-l, --list-name
    Afficher le nom du processus avec le PID (seulement pour pgrep).

-a, --list-full
    Afficher la ligne de commande complète avec le PID (seulement pour pgrep).

-n, --newest
    Ne sélectionner que le processus correspondant le plus récent.

-o, --oldest
    Ne sélectionner que le processus correspondant le plus ancien.

-O, --older délai
    Select processes older than secs.

-P, --parent ppid,...
    Ne sélectionner que les processus dont le PID parent est donné.

-s, --session sid,...
    Ne sélectionner que les processus dont l'identifiant de session est donné. La session 0 se traduit par le propre identifiant de session de pgrep, pkill ou pwait.

-t, --terminal term,...
    Ne sélectionner que les processus dont le terminal de contrôle est donné. Le nom du terminal doit être indiqué sans le préfixe « /dev/ ».

-u, --euid euid,...
    Ne sélectionner que les processus dont l'UID effectif est donné. La valeur utilisée peut être numérique ou symbolique.

-U, --uid uid,...
    Ne sélectionner que les processus dont l'UID réel est donné. La valeur utilisée peut être numérique ou symbolique.

-v, --inverse
    Negates the matching. This option is usually used in pgrep's or pwait's context. In pkill's context the short option is disabled to avoid accidental usage of the option.

-w, --lightweight
    Shows all thread ids instead of pids in pgrep's or pwait's context. In pkill's context this option is disabled.

-x, --exact
    Only match processes whose names (or command lines if -f is specified) exactly match the pattern.

-F, --pidfile fichier
    Read PIDs from file. This option is more useful for pkillorpwait than pgrep.

-L, --logpidfile
    Fail if pidfile (see -F) not locked.

-r, --runstates D,R,S,Z,...
    Ne sélectionner que les processus du même état.

--ns PID
    Sélectionner les processus qui appartiennent aux mêmes espaces de nommage. Doit être exécuté en tant que superutilisateur pour sélectionner les processus d’autres utilisateurs. Consultez --nslist pour une manière de limiter les espaces de nommage à sélectionner.

--nslist en[,en]...
    Ne sélectionner que les espaces de nommage fournis. Les espaces de nommage disponibles sont : ipc, mnt, net, pid, user et uts.

-q, --queue valeur
    Use sigqueue(3) rather than kill(2) and the value argument is used to specify an integer to be sent with the signal. If the receiving process has installed a handler for this signal using the SA_SIGINFO flag to sigaction(2) , then it can obtain this data via the si_value field of the siginfo_t structure.

-V, --version
    Afficher la version du logiciel et quitter.

-h, --help
    Afficher l'aide et quitter.

OPÉRANDES

motif
    Indiquer une expression rationnelle étendue utilisée pour comparer avec les noms de processus ou les lignes de commandes.

EXEMPLES
Exemple 1 : Trouver le PID du démon named :

    $ pgrep -u root named

Exemple 2 : Faire relire son fichier de configuration par syslog :

    $ pkill -HUP syslogd

Exemple 3 : Donner des informations détaillées sur tous les processus xterm :

    $ ps -fp $(pgrep -d, -x xterm)

Exemple 4 : Réduire la priorité de tous les processus chrome :

    $ renice +4 $(pgrep chrome)

CODES DE RETOUR
0   One or more processes matched the criteria. For pkill and pwait, one or more processes must also have been successfully signalled or waited for.
1   Aucun processus correspondant ou aucun signalé.
2   Erreur de syntaxe dans la ligne de commande.
3   Erreur fatale, par exemple plus de mémoire disponible.

NOTES
Le nom du processus utilisé pour la sélection est limité aux 15 caractères présents dans /proc/pid/stat. Utilisez l'option -f pour sélectionner en fonction de la ligne de commande complète, /proc/pid/cmdline.

Le processus pgrep, pkill ou pwait qui s'exécute ne se considérera jamais comme correspondant aux critères.

BOGUES
Les options -n, -o et -v ne peuvent pas être utilisées en même temps. Signalez-le si vous en avez besoin.

Les processus zombies sont affichés.

VOIR AUSSI
ps(1), regex(7), signal(7), sigqueue(3), killall(1), skill(1), kill(1), kill(2)

AUTEUR
Kjetil Torgrim Homme <kjetilho@ifi.uio.no>

BOGUES
Signalez les bogues à <procps@freelists.org>